From akpm@osdl.org Wed Mar 30 13:23:28 2005
Subject: [patch 1/2] Fix typo in scdrv_init()
To: greg@kroah.com
Cc: akpm@osdl.org, jasonuhl@sgi.com
From: akpm@osdl.org
Date: Wed, 30 Mar 2005 13:19:54 -0800


From: Jason Uhlenkott <jasonuhl@sgi.com>

Fix a typo in scdrv_init() which was breaking the build for SGI sn2.

Signed-off-by: Jason Uhlenkott <jasonuhl@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
--- gregkh-2.6.orig/drivers/char/snsc.c	2005-05-02 10:54:11.000000000 -0700
+++ gregkh-2.6/drivers/char/snsc.c	2005-05-02 10:59:21.000000000 -0700
@@ -437,7 +437,7 @@
 				continue;
 			}
 
-			class__device_create(snsc_class, dev, NULL,
+			class_device_create(snsc_class, dev, NULL,
 						"%s", devname);
 
 			ia64_sn_irtr_intr_enable(scd->scd_nasid,
